/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * (c) Oleg Puchinin 2006
 * graycardinalster@gmail.com
 *
 */

#include <gclib/gclib.h>
#include <gclib/gclib_c.h>

/* 2005 */
__export DArray * Dsplit (char * STR, char *ch)
{
	DArray * ret = new DArray(128);
	char * S;
	char * buf = strdup (STR);
	char * ptr = buf;
	int ch_len;

	if (buf == NULL)
		return NULL;

	if (!STR || !ch) {
		delete ret;
		return NULL;
	}

	ch_len = strlen (ch);
	while((S = strstr (ptr, ch)) && S) {
		*S = 0;
		S += ch_len;
		ret->add (strdup (ptr));
		ptr = S;
	}

	if (strlen (ptr)) 
		ret->add (strdup (ptr));

	free (buf);
	return ret;
}

