/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * (c) Oleg Puchinin 2006
 * graycardinalster@gmail.com
 *
 */

#ifndef BOB_FLAGS_H
#define BOB_FLAGS_H

enum {
	SB_FLVERBOSE = 0,
	SB_FLLINEAR,
	SB_FLNOLINKS,
	SB_FLSIMULATE,
	SB_FLTAGSTYLE,
	SB_FLFNAMES,
	SB_FLALL,
	SB_FLTEST,
	SB_FLRTREE,
	SB_FLCTAGSAPPEND,
	SB_FLTHREAD,
	SB_FLDEBUG
};

#define SB_FLSET(arg) (ENV->sb_flags |= (1<<arg))
#define SB_FLGET(arg) (ENV->sb_flags & (1<<arg))

#endif

