/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* 
 * (c) Oleg Puchinin 2006
 * graycardinalster@gmail.com
 *
 */

#ifndef DEFINE_MOD_H
#define DEFINE_MOD_H

struct mod_t {
	int Type;
	int ID;
	char * Version;
	char * Name;
	char Enabled;
        char * mod_file;	
	void (*short_info) ();
	void (*long_info) ();
	void (*usage) ();
	char (*opt) (DArray * d_opts, int * pos);
	char (*opt2) (DArray * d_opts, int * pos);
	char *language;
	char *(*the) (struct tt_state_t *d_tt_state); // --the-tt
	int (*make_ctags) (char *f_name, FILE *ofile); // SilentBob --make-ctags code body.
	int (*call_tags) (char *f_name); // SilentBob --call-tags code body.
	int (*print_tags) (); // tags <tag>
	void (*file) (char * f_name); // bob <files> --file
	bool internal;
};

int modding_init ();
int modding_start (int i_cmd);
int modding_load_plugin (char * name, char * path);
void mod_plugin_info (int ID);
void plugins_viewer ();

#endif

