/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * (c) Oleg Puchinin 2009
 * graycardinalster@gmail.com
 * 
 */ 

#include <head.h>

int files ()
{
	EArray * src;
	int lang;
	FILE * of;
	int i;
	int count;
	char * S;

	lang = language_id ();

	of = fopen ("files", "w");
	if (! of) 
		return -1;

	src = searchSources ();
	if (! src) {
		fclose (of);
		return -1;
	}

	count = src->get_size ();	
	for (i = 0; i < count; ++i) {
		S = src->get (i);
		if ((lang == file_lang_id (S)) || (lang == LALL))
			fprintf (of, "%s\n", S);
	}

	src->foreach (free);
	fclose (of);	
	return 0;
}

