/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * (c) Oleg Puchinin 2009
 * graycardinalster@gmail.com
 * 
 */ 

#include <head.h>

EArray * searchSources ()
{
	EArray * fs;
	EArray * exts;
	EArray * ret;
	char * S;
	int i;

	exts = extensions ();

	unlink (ENV->tmp_files);
	find_one_ext ("*");
	
	fs = new EArray(64);
	fs->from_file (ENV->tmp_files);
	fs->foreach ((Dfunc_t)chomp);

	ret = new EArray;
	for (i = 0; i < fs->get_size (); ++i) {
		S = (*fs)[i];
		S = fext (S);
		if (! S)
			continue;
		++S;
		if (exts->sfind(S) >= 0) {
			(*ret) << strdup ((*fs)[i]);
		} else
			continue;
	}

	fs->foreach (free);
	delete fs;
	return ret;
}

