/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * (c) Oleg Puchinin 2006
 * graycardinalster@gmail.com
 *
 */

#ifndef DEFINE_DJOB_T_H
#define DEFINE_DJOB_T_H

#include <sys/types.h>
#include <unistd.h>

struct __djob_t
{
	pid_t pid;
	int exit_status;
	char status_ready;
	char * user_data;
	int stdIn;
	int stdOut;
	int stdErr;	
	int pipe_in[2];
	int pipe_out[2];
	int pipe_err[2];
	char * shared_mem;
	int shm_size;
	char child;
	char *otmp_name;
	char *etmp_name;
};

#endif

