/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * (c) Oleg Puchinin 2009
 * graycardinalster@gmail.com
 *
 */

#include <head.h>
#include <wit.h>

int bob_kinds ()
{
	DArray * ar;
	char * S;
	int i;

	if (! ENV->d_kinds)
		return -1;

	ar = new DArray(256);
	ar->from_file ((char *) "./tags");
	for (i = 0; i < ar->get_size (); ++i) {
		S = ar->get (i);
		chomp (S);
		if (*S == '!')
			continue;	
		S = rindex (S, ';');
		if (! S) {
			fprintf (stderr, "error in tag: %s\n", ar->get(i));
			exit (1);
		}

		S += 2;
		if (! strchr (ENV->d_kinds, *S))
			continue;

		printf ("%s\n", ar->get (i));
	}

	ar->foreach (free);
	delete ar;
	return -1;
}


