/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * (c) Oleg Puchinin 2009
 * graycardinalster@gmail.com
 *
 */

#include <head.h>

void ml_language (char * S, FILE * of)
{
	switch (file_lang_id (S)) {
		case LCXX:
			cxx_ctags (S, of); 
			break;
		case LPERL:
			perl_ctags (S, of);
			break;
		case LPYTHON:
			python_ctags (S, of);
			break;
		case LRUBY:
			ruby_ctags (S, of);
			break;
		case LPHP:
			php_ctags (S, of);
			break;
		case LJAVA:
			java_ctags (S, of);
			break;
		case LGO:
			go_ctags (S, of);
			break;
		case LLUA:
			lua_ctags (S, of);
			break;
	}
}

int ml_ctags (char * f_name, FILE *of)
{
	ml_language (f_name, of);
}

